Bug 1155918 - let "history list" show all records
let "history list" show all records
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-23 03:56 EDT by Vít Ondruch
Modified: 2015-02-20 03:32 EST (History)
7 users (show)

See Also:
Fixed In Version: hawkey-0.5.3-2.fc21
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-20 03:32:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2014-10-23 03:56:24 EDT
Description of problem:
"history list" lists just last ~20 records. Please allow to list all records.


Version-Release number of selected component (if applicable):
$ rpm -q dnf
dnf-0.6.2-1.fc22.noarch


How reproducible:


Steps to Reproduce:
1. dnf history list
2.
3.

Actual results:
Lists just last ~20 records


Expected results:
List all records.


Additional info:
Although I don't mind how it will be achieved, it seems that DFN currently accepts "history list all" and even list all records, but the results may not be reliable and this command is not yet supported according to bug #1155878.
Comment 1 Radek Holy 2014-10-23 04:09:11 EDT
Thank you for the report. The use case is clear. We'll take a look.

For the record, the *yet unsupported* (but accepted) command "history list all" produces a different output than "history list" command, so it isn't just about adding the command to the documentation.
Comment 2 Honza Silhan 2014-10-24 04:21:02 EDT
I would preffer printing all the results after execution of "dnf history list" and don't add new "all" option. "dnf list <spec_pattern>" prints ALL matched packages too.
Comment 3 Vít Ondruch 2014-10-24 04:48:22 EDT
Sounds good. One can use some pager if there will be more entries. I would be only worried about performance ...

Just to clarify what was my usecase which triggered this RFE. I was trying to find out when I installed one specific package and the "history list" was the obvious choice.
Comment 4 Radek Holy 2014-10-24 05:09:00 EDT
(In reply to Vít Ondruch from comment #3)
> Just to clarify what was my usecase which triggered this RFE. I was trying
> to find out when I installed one specific package and the "history list" was
> the obvious choice.

Maybe even the more obvious choice is "dnf history info <pkg>".
Comment 5 Vít Ondruch 2014-10-24 05:56:29 EDT
(In reply to Radek Holy from comment #4)
> Maybe even the more obvious choice is "dnf history info <pkg>".

Thanks for the tip, but for this case, you have to remember the package name, which I have forget already.
Comment 6 Fedora Update System 2015-02-15 19:02:54 EST
dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21
Comment 7 Fedora Update System 2015-02-17 03:03:49 EST
Package hawkey-0.5.3-2.fc21, dnf-plugins-core-0.1.5-1.fc21, dnf-0.6.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.5.3-2.fc21 dnf-plugins-core-0.1.5-1.fc21 dnf-0.6.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2139/dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2015-02-20 03:32:04 EST
hawkey-0.5.3-2.fc21, dnf-plugins-core-0.1.5-1.fc21, dnf-0.6.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.